package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.entity.tenant.info.*;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface TenantService {
    String add(TenantAddEntity entity);

    TenantRespEntity findSingle(Long id);

    String edit(TenantEditEntity entity);

    String delete(Long id);

    BaseResultWithPagerDto searchPage(TenantSearchEntity entity) throws ServiceException;

    List<TenantEntity> getAllMerchant();
}
